## org.exist.storage.index
Class OverflowRemoveLoggable

    java.lang.Object
      org.exist.storage.journal.AbstractLoggable
          org.exist.storage.index.AbstractBFileLoggable
              org.exist.storage.index.OverflowRemoveLoggable

All Implemented Interfaces:
  Loggable

public class OverflowRemoveLoggable
extends AbstractBFileLoggable

Author:
  wolf

Constructor Summary
`OverflowRemoveLoggable(byte fileId, Txn transaction, byte status, long pageNum, byte[] data, int length, long nextInChain)`
`OverflowRemoveLoggable(DBBroker broker, long transactionId)`

Method Summary
`java.lang.String` `dump()` Default implementation returns the current LSN plus the class name of the Loggable instance.
`int` `getLogSize()` Returns the size of the work load of this entry.
`void` `read(java.nio.ByteBuffer in)` Read the entry.
`void` `redo()` Redo the underlying operation.
`void` `undo()` Undo, i.e.
`void` `write(java.nio.ByteBuffer out)` Write this entry to the specified ByteBuffer.

Methods inherited from class org.exist.storage.journal.AbstractLoggable
`clear, getLogType, getLsn, getTransactionId, setLsn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverflowRemoveLoggable

    public OverflowRemoveLoggable(byte fileId,
                                  Txn transaction,
                                  byte status,
                                  long pageNum,
                                  byte[] data,
                                  int length,
                                  long nextInChain)

Parameters:
  `status` -
  `pageNum` -
  `data` -
  `length` -
  `nextInChain` -
  `fileId` -
  `transaction` -

### OverflowRemoveLoggable

    public OverflowRemoveLoggable(DBBroker broker,
                                  long transactionId)

Parameters:
  `broker` -
  `transactionId` -

Method Detail

### write

    public void write(java.nio.ByteBuffer out)

  Description copied from interface: `Loggable`
  Write this entry to the specified ByteBuffer.

  Specified by:
    `write` in interface `Loggable`
  Overrides:
    `write` in class `AbstractBFileLoggable`

### read

    public void read(java.nio.ByteBuffer in)

  Description copied from interface: `Loggable`
  Read the entry.

  Specified by:
    `read` in interface `Loggable`
  Overrides:
    `read` in class `AbstractBFileLoggable`

### getLogSize

    public int getLogSize()

  Description copied from interface: `Loggable`
  Returns the size of the work load of this entry.

  Specified by:
    `getLogSize` in interface `Loggable`
  Overrides:
    `getLogSize` in class `AbstractBFileLoggable`

### redo

    public void redo()
              throws LogException

  Description copied from interface: `Loggable`
  Redo the underlying operation. This method is called by `RecoveryManager`.

  Specified by:
    `redo` in interface `Loggable`
  Overrides:
    `redo` in class `AbstractLoggable`
  Throws:
    `LogException`

### undo

    public void undo()
              throws LogException

  Description copied from interface: `Loggable`
  Undo, i.e. roll back, the underlying operation. The method is called by `RecoveryManager`.

  Specified by:
    `undo` in interface `Loggable`
  Overrides:
    `undo` in class `AbstractLoggable`
  Throws:
    `LogException`

### dump

    public java.lang.String dump()

  Description copied from class: `AbstractLoggable`
  Default implementation returns the current LSN plus the class name of the Loggable instance.

  Specified by:
    `dump` in interface `Loggable`
  Overrides:
    `dump` in class `AbstractBFileLoggable`

Copyright (C) Wolfgang Meier. All rights reserved.